Subject: Re: [tipc-discussion] [RFC: 2.6 patch] net/tipc/: possible cleanups

From: Adrian Bunk <[email-masked]>
Date: Fri, 23 Feb 2007 19:06:12 +0100

On Thu, Jan 25, 2007 at 04:08:08PM +0000, Jon Maloy wrote:
> Adrian Bunk wrote:
> 
> >This patch contains the following possible cleanups:
> >- make needlessly global functions static
> >- #if 0 unused functions
> > 
> >
> Thanks. I think most of those were due for our next release, anyway. But 
> we'll
> get it in, one way or another. 
> 
> >- remove all EXPORT_SYMBOL's
> >
> >My impression is that most of this might have users that are not yet 
> >submitted for inclusion in the kernel - one year after TIPC was merged.
> > 
> >
> Not quite. The exported symbols belong to a public API for driver 
> programmers.
> We know about several users of this API, and there will be more, but I 
> don't think
> any of them are aspiring to have their code be included in the kernel.
>...

Why not?

The goal is to get as many drivers as possible included in the kernel.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed